Index: usr.bin/window/wwdump.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwdump.c,v
retrieving revision 1.2
diff -u -r1.2 wwdump.c
--- usr.bin/window/wwdump.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwdump.c	24 Aug 2008 10:27:48 -0000
@@ -45,9 +45,9 @@
 static char cmap[] = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ";
 
 wwdumpwin(w)
-register struct ww *w;
+struct ww *w;
 {
-	register i, j;
+	int i, j;
 
 	tt.tt_nmodes = 0;
 	(*tt.tt_clear)();
@@ -59,9 +59,9 @@
 }
 
 wwdumpnvis(w)
-register struct ww *w;
+struct ww *w;
 {
-	register i;
+	int i;
 	char buf[20];
 
 	tt.tt_nmodes = 0;
@@ -75,7 +75,7 @@
 
 wwdumpsmap()
 {
-	register i, j;
+	int i, j;
 
 	tt.tt_nmodes = 0;
 	(*tt.tt_clear)();
@@ -88,7 +88,7 @@
 
 wwdumpns()
 {
-	register i, j;
+	int i, j;
 
 	(*tt.tt_clear)();
 	for (i = 0; i < wwnrow; i++) {
@@ -102,7 +102,7 @@
 
 wwdumpos()
 {
-	register i, j;
+	int i, j;
 
 	(*tt.tt_clear)();
 	for (i = 0; i < wwnrow; i++) {
Index: usr.bin/window/wwenviron.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwenviron.c,v
retrieving revision 1.3
diff -u -r1.3 wwenviron.c
--- usr.bin/window/wwenviron.c	12 Jan 2006 13:43:11 -0000	1.3
+++ usr.bin/window/wwenviron.c	24 Aug 2008 10:28:06 -0000
@@ -48,9 +48,9 @@
  * Set up the environment of this process to run in window 'wp'.
  */
 wwenviron(wp)
-register struct ww *wp;
+struct ww *wp;
 {
-	register i;
+	int i;
 #ifndef TIOCSCTTY
 	int pgrp = getpid();
 #endif
Index: usr.bin/window/wwflush.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwflush.c,v
retrieving revision 1.2
diff -u -r1.2 wwflush.c
--- usr.bin/window/wwflush.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwflush.c	24 Aug 2008 10:28:26 -0000
@@ -44,7 +44,7 @@
 
 wwflush()
 {
-	register row, col;
+	int row, col;
 
 	if ((row = wwcursorrow) < 0)
 		row = 0;
@@ -92,10 +92,10 @@
 }
 
 wwcopyscreen(s1, s2)
-	register union ww_char **s1, **s2;
+	union ww_char **s1, **s2;
 {
-	register i;
-	register s = wwncol * sizeof **s1;
+	int i;
+	int s = wwncol * sizeof **s1;
 
 	for (i = wwnrow; --i >= 0;)
 		bcopy((char *) *s1++, (char *) *s2++, s);
Index: usr.bin/window/wwframe.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwframe.c,v
retrieving revision 1.2
diff -u -r1.2 wwframe.c
--- usr.bin/window/wwframe.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwframe.c	24 Aug 2008 10:28:51 -0000
@@ -45,15 +45,15 @@
 	w1->ww_fmap || w1->ww_order > (w)->ww_order)
 
 wwframe(w, wframe)
-register struct ww *w;
+struct ww *w;
 struct ww *wframe;
 {
-	register r, c;
+	int r, c;
 	char a1, a2, a3;
 	char b1, b2, b3;
-	register char *smap;
-	register code;
-	register struct ww *w1;
+	char *smap;
+	int code;
+	struct ww *w1;
 
 	if (w->ww_w.t > 0) {
 		r = w->ww_w.t - 1;
@@ -195,12 +195,12 @@
 }
 
 wwframec(f, r, c, code)
-register struct ww *f;
-register r, c;
+struct ww *f;
+int r, c;
 char code;
 {
 	char oldcode;
-	register char *smap;
+	char *smap;
 
 	if (r < f->ww_i.t || r >= f->ww_i.b || c < f->ww_i.l || c >= f->ww_i.r)
 		return;
@@ -208,7 +208,7 @@
 	smap = &wwsmap[r][c];
 
 	{
-		register struct ww *w;
+		struct ww *w;
 
 		w = wwindex[*smap];
 		if (w->ww_order > f->ww_order) {
@@ -219,7 +219,7 @@
 	}
 
 	if (f->ww_fmap != 0) {
-		register char *fmap;
+		char *fmap;
 
 		fmap = &f->ww_fmap[r][c];
 		oldcode = *fmap;
@@ -230,14 +230,14 @@
 	} else
 		oldcode = 0;
 	{
-		register char *win = &f->ww_win[r][c];
+		char *win = &f->ww_win[r][c];
 
 		if (*win == WWM_GLS && *smap == f->ww_index)
 			f->ww_nvis[r]++;
 		*win &= ~WWM_GLS;
 	}
 	if (oldcode != code && (code & WWF_LABEL) == 0) {
-		register short frame;
+		short frame;
 
 		frame = tt.tt_frame[code & WWF_MASK];
 		f->ww_buf[r][c].c_w = frame;
Index: usr.bin/window/wwgets.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwgets.c,v
retrieving revision 1.3
diff -u -r1.3 wwgets.c
--- usr.bin/window/wwgets.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/window/wwgets.c	24 Aug 2008 10:29:11 -0000
@@ -46,10 +46,10 @@
 wwgets(buf, n, w)
 char *buf;
 int n;
-register struct ww *w;
+struct ww *w;
 {
-	register char *p = buf;
-	register int c;
+	char *p = buf;
+	int c;
 	char uc = w->ww_unctrl;
 
 	w->ww_unctrl = 0;
@@ -106,7 +106,7 @@
 rub(c, w)
 struct ww *w;
 {
-	register i;
+	int i;
 
 	for (i = isctrl(c) ? strlen(unctrl(c)) : 1; --i >= 0;)
 		(void) wwwrite(w, "\b \b", 3);
Index: usr.bin/window/wwinit.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwinit.c,v
retrieving revision 1.3
diff -u -r1.3 wwinit.c
--- usr.bin/window/wwinit.c	12 Jan 2006 13:43:11 -0000	1.3
+++ usr.bin/window/wwinit.c	24 Aug 2008 10:29:34 -0000
@@ -47,7 +47,7 @@
 
 wwinit()
 {
-	register i, j;
+	int i, j;
 	char *kp;
 	int s;
 
@@ -333,12 +333,12 @@
 }
 
 wwaddcap(cap, kp)
-	register char *cap;
-	register char **kp;
+	char *cap;
+	char **kp;
 {
 	char tbuf[512];
 	char *tp = tbuf;
-	register char *str, *p;
+	char *str, *p;
 
 	if ((str = tgetstr(cap, &tp)) != 0) {
 		while (*(*kp)++ = *cap++)
@@ -355,8 +355,8 @@
 }
 
 wwaddcap1(cap, kp)
-	register char *cap;
-	register char **kp;
+	char *cap;
+	char **kp;
 {
 	while (*(*kp)++ = *cap++)
 		;
@@ -364,12 +364,12 @@
 }
 
 wwaddcap2(cap, kp)
-	register char *cap;
-	register char **kp;
+	char *cap;
+	char **kp;
 {
 	char tbuf[512];
 	char *tp = tbuf;
-	register char *str, *p;
+	char *str, *p;
 
 	if ((str = tgetstr(cap, &tp)) != 0) {
 		/* we don't support vt100's application key mode, remap */
@@ -390,7 +390,7 @@
 
 wwstart()
 {
-	register i;
+	int i;
 
 	(void) wwsettty(0, &wwnewtty);
 	signal(SIGIO, wwrint);
@@ -401,7 +401,7 @@
 
 wwstart1()
 {
-	register i, j;
+	int i, j;
 
 	for (i = 0; i < wwnrow; i++)
 		for (j = 0; j < wwncol; j++) {
@@ -420,7 +420,7 @@
  */
 wwreset()
 {
-	register i;
+	int i;
 
 	xxreset();
 	for (i = 0; i < wwnrow; i++)
Index: usr.bin/window/wwinschar.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwinschar.c,v
retrieving revision 1.2
diff -u -r1.2 wwinschar.c
--- usr.bin/window/wwinschar.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwinschar.c	24 Aug 2008 10:29:55 -0000
@@ -42,10 +42,10 @@
 #include "tt.h"
 
 wwinschar(w, row, col, c, m)
-register struct ww *w;
+struct ww *w;
 unsigned char c, m;
 {
-	register i;
+	int i;
 	int nvis;
 	short x = c | m << WWC_MSHIFT;
 
@@ -53,7 +53,7 @@
 	 * First, shift the line.
 	 */
 	{
-		register union ww_char *p, *q;
+		union ww_char *p, *q;
 
 		p = &w->ww_buf[row][w->ww_b.r];
 		q = p - 1;
@@ -76,10 +76,10 @@
 	 * Now find out how much is actually changed, and fix wwns.
 	 */
 	{
-		register union ww_char *buf;
-		register char *win;
-		register union ww_char *ns;
-		register char *smap;
+		union ww_char *buf;
+		char *win;
+		union ww_char *ns;
+		char *smap;
 		char touched;
 
 		nvis = 0;
@@ -113,7 +113,7 @@
 	 * Can/Should we use delete character?
 	 */
 	if ((tt.tt_inschar || tt.tt_insspace) && nvis > (wwncol - col) / 2) {
-		register union ww_char *p, *q;
+		union ww_char *p, *q;
 
 		if (tt.tt_inschar)
 			xxinschar(row, col, c, m);
Index: usr.bin/window/wwinsline.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwinsline.c,v
retrieving revision 1.2
diff -u -r1.2 wwinsline.c
--- usr.bin/window/wwinsline.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwinsline.c	24 Aug 2008 10:30:11 -0000
@@ -41,12 +41,12 @@
 #include "ww.h"
 
 wwinsline(w, row)
-register struct ww *w;
+struct ww *w;
 int row;
 {
-	register i;
-	register union ww_char **cpp, **cqq;
-	register union ww_char *cp;
+	int i;
+	union ww_char **cpp, **cqq;
+	union ww_char *cp;
 	int row1, row2;
 	char deleted;
 	int visible;
Index: usr.bin/window/wwiomux.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwiomux.c,v
retrieving revision 1.3
diff -u -r1.3 wwiomux.c
--- usr.bin/window/wwiomux.c	19 May 2008 10:19:49 -0000	1.3
+++ usr.bin/window/wwiomux.c	24 Aug 2008 10:30:29 -0000
@@ -61,10 +61,10 @@
  */
 wwiomux()
 {
-	register struct ww *w;
+	struct ww *w;
 	fd_set imask;
-	register n;
-	register char *p;
+	int n;
+	char *p;
 	char c;
 	struct timeval tv;
 	char noblock = 0;
Index: usr.bin/window/wwlabel.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwlabel.c,v
retrieving revision 1.2
diff -u -r1.2 wwlabel.c
--- usr.bin/window/wwlabel.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwlabel.c	24 Aug 2008 10:30:45 -0000
@@ -52,13 +52,13 @@
 char *l;
 {
 	int row;
-	register j;
+	int j;
 	int jj;
-	register char *win;
-	register union ww_char *buf;
-	register union ww_char *ns;
-	register char *fmap;
-	register char *smap;
+	char *win;
+	union ww_char *buf;
+	union ww_char *ns;
+	char *fmap;
+	char *smap;
 	char touched;
 	unsigned char *p;
 	static unsigned char cbuf[2];
Index: usr.bin/window/wwmisc.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwmisc.c,v
retrieving revision 1.2
diff -u -r1.2 wwmisc.c
--- usr.bin/window/wwmisc.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwmisc.c	24 Aug 2008 10:31:02 -0000
@@ -46,10 +46,10 @@
  * Sufficient but not necessary test for total visibility.
  */
 wwvisible(w)
-register struct ww *w;
+struct ww *w;
 {
-	register i;
-	register nvis = 0;
+	int i;
+	int nvis = 0;
 
 	for (i = w->ww_i.t; i < w->ww_i.b; i++)
 		nvis += w->ww_nvis[i];
Index: usr.bin/window/wwmove.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwmove.c,v
retrieving revision 1.2
diff -u -r1.2 wwmove.c
--- usr.bin/window/wwmove.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwmove.c	24 Aug 2008 10:31:20 -0000
@@ -44,10 +44,10 @@
  * Move a window.  Should be unattached.
  */
 wwmove(w, row, col)
-register struct ww *w;
+struct ww *w;
 {
-	register dr, dc;
-	register i;
+	int dr, dc;
+	int i;
 
 	dr = row - w->ww_w.t;
 	dc = col - w->ww_w.l;
@@ -82,9 +82,9 @@
 	}
 	w->ww_nvis -= dr;
 	for (i = w->ww_i.t; i < w->ww_i.b; i++) {
-		register j = w->ww_i.l;
-		register char *win = &w->ww_win[i][j];
-		register char *smap = &wwsmap[i][j];
+		int j = w->ww_i.l;
+		char *win = &w->ww_win[i][j];
+		char *smap = &wwsmap[i][j];
 		int nvis = 0;
 
 		for (; j < w->ww_i.r; j++, win++, smap++)
Index: usr.bin/window/wwopen.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwopen.c,v
retrieving revision 1.2
diff -u -r1.2 wwopen.c
--- usr.bin/window/wwopen.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwopen.c	24 Aug 2008 10:31:44 -0000
@@ -47,8 +47,8 @@
 struct ww *
 wwopen(flags, nrow, ncol, row, col, nline)
 {
-	register struct ww *w;
-	register i, j;
+	struct ww *w;
+	int i, j;
 	char m;
 	short nvis;
 
Index: usr.bin/window/wwpty.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwpty.c,v
retrieving revision 1.2
diff -u -r1.2 wwpty.c
--- usr.bin/window/wwpty.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwpty.c	24 Aug 2008 10:31:54 -0000
@@ -45,9 +45,9 @@
 #endif
 
 wwgetpty(w)
-register struct ww *w;
+struct ww *w;
 {
-	register char c, *p;
+	char c, *p;
 	int tty;
 	int on = 1;
 #define PTY "/dev/XtyXX"
Index: usr.bin/window/wwputs.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwputs.c,v
retrieving revision 1.2
diff -u -r1.2 wwputs.c
--- usr.bin/window/wwputs.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwputs.c	24 Aug 2008 10:32:05 -0000
@@ -41,10 +41,10 @@
 #include "ww.h"
 
 wwputs(s, w)
-register char *s;
+char *s;
 struct ww *w;
 {
-	register char *p = s;
+	char *p = s;
 
 	while (*p++)
 		;
Index: usr.bin/window/wwredraw.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwredraw.c,v
retrieving revision 1.2
diff -u -r1.2 wwredraw.c
--- usr.bin/window/wwredraw.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwredraw.c	24 Aug 2008 10:32:23 -0000
@@ -43,8 +43,8 @@
 
 wwredraw()
 {
-	register i, j;
-	register union ww_char *os;
+	int i, j;
+	union ww_char *os;
 
 	xxclear();
 	for (i = 0; i < wwnrow; i++) {
Index: usr.bin/window/wwredrawwin.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwredrawwin.c,v
retrieving revision 1.2
diff -u -r1.2 wwredrawwin.c
--- usr.bin/window/wwredrawwin.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwredrawwin.c	24 Aug 2008 10:32:41 -0000
@@ -41,15 +41,15 @@
 #include "ww.h"
 
 wwredrawwin1(w, row1, row2, offset)
-register struct ww *w;
+struct ww *w;
 int row1, row2, offset;
 {
 	int row;
-	register col;
-	register char *smap;
-	register union ww_char *buf;
-	register char *win;
-	register union ww_char *ns;
+	int col;
+	char *smap;
+	union ww_char *buf;
+	char *win;
+	union ww_char *ns;
 	int x;
 	int nchanged;
 
Index: usr.bin/window/wwrint.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwrint.c,v
retrieving revision 1.2
diff -u -r1.2 wwrint.c
--- usr.bin/window/wwrint.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwrint.c	24 Aug 2008 10:32:54 -0000
@@ -57,7 +57,7 @@
 void
 wwrint()
 {
-	register n;
+	int n;
 
 	if (wwibp == wwibq)
 		wwibp = wwibq = wwib;
Index: usr.bin/window/wwscroll.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwscroll.c,v
retrieving revision 1.2
diff -u -r1.2 wwscroll.c
--- usr.bin/window/wwscroll.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwscroll.c	24 Aug 2008 10:33:19 -0000
@@ -42,11 +42,11 @@
 #include "tt.h"
 
 wwscroll(w, n)
-register struct ww *w;
+struct ww *w;
 int n;
 {
-	register dir;
-	register top;
+	int dir;
+	int top;
 
 	if (n == 0)
 		return;
@@ -78,11 +78,11 @@
  * And don't redraw 'leaveit' lines.
  */
 wwscroll1(w, row1, row2, dir, leaveit)
-register struct ww *w;
+struct ww *w;
 int row1, row2, dir;
 int leaveit;
 {
-	register i;
+	int i;
 	int row1x, row2x;
 	int nvis;
 	int nvismax;
@@ -127,8 +127,8 @@
 	 * Fix up the old screen.
 	 */
 	{
-		register union ww_char *tmp;
-		register union ww_char **cpp, **cqq;
+		union ww_char *tmp;
+		union ww_char **cpp, **cqq;
 
 		if (dir > 0) {
 			cpp = &wwos[row1x];
@@ -159,8 +159,8 @@
 		 */
 		if (dir > 0) {
 			{
-				register union ww_char *tmp;
-				register union ww_char **cpp, **cqq;
+				union ww_char *tmp;
+				union ww_char **cpp, **cqq;
 
 				cpp = &wwns[row1x];
 				cqq = cpp + 1;
@@ -170,7 +170,7 @@
 				*cpp = tmp;
 			}
 			if (scrolled) {
-				register char *p, *q;
+				char *p, *q;
 
 				p = &wwtouched[row1x];
 				q = p + 1;
@@ -178,7 +178,7 @@
 					*p++ = *q++;
 				*p |= WWU_TOUCHED;
 			} else {
-				register char *p;
+				char *p;
 
 				p = &wwtouched[row1x];
 				for (i = row2x - row1x; --i >= 0;)
@@ -188,8 +188,8 @@
 			wwredrawwin1(w, row2x - 1, row2 - leaveit, dir);
 		} else {
 			{
-				register union ww_char *tmp;
-				register union ww_char **cpp, **cqq;
+				union ww_char *tmp;
+				union ww_char **cpp, **cqq;
 
 				cpp = &wwns[row2x];
 				cqq = cpp - 1;
@@ -199,7 +199,7 @@
 				*cqq = tmp;
 			}
 			if (scrolled) {
-				register char *p, *q;
+				char *p, *q;
 
 				p = &wwtouched[row2x];
 				q = p - 1;
@@ -207,7 +207,7 @@
 					*--p = *--q;
 				*q |= WWU_TOUCHED;
 			} else {
-				register char *p;
+				char *p;
 
 				p = &wwtouched[row1x];
 				for (i = row2x - row1x; --i >= 0;)
@@ -218,7 +218,7 @@
 		}
 	} else {
 		if (scrolled) {
-			register char *p;
+			char *p;
 
 			p = &wwtouched[row1x];
 			for (i = row2x - row1x; --i >= 0;)
Index: usr.bin/window/wwsize.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwsize.c,v
retrieving revision 1.2
diff -u -r1.2 wwsize.c
--- usr.bin/window/wwsize.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwsize.c	24 Aug 2008 10:33:39 -0000
@@ -45,9 +45,9 @@
  * Resize a window.  Should be unattached.
  */
 wwsize(w, nrow, ncol)
-register struct ww *w;
+struct ww *w;
 {
-	register i, j;
+	int i, j;
 	int nline;
 	union ww_char **buf = 0;
 	char **win = 0;
Index: usr.bin/window/wwspawn.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwspawn.c,v
retrieving revision 1.2
diff -u -r1.2 wwspawn.c
--- usr.bin/window/wwspawn.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwspawn.c	24 Aug 2008 10:33:47 -0000
@@ -46,7 +46,7 @@
  * So we have to be sneaky about error reporting.
  */
 wwspawn(wp, file, argv)
-register struct ww *wp;
+struct ww *wp;
 char *file;
 char **argv;
 {
Index: usr.bin/window/wwtty.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwtty.c,v
retrieving revision 1.2
diff -u -r1.2 wwtty.c
--- usr.bin/window/wwtty.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwtty.c	24 Aug 2008 10:33:57 -0000
@@ -46,7 +46,7 @@
 #endif
 
 wwgettty(d, t)
-register struct ww_tty *t;
+struct ww_tty *t;
 {
 #ifdef OLD_TTY
 	if (ioctl(d, TIOCGETP, (char *)&t->ww_sgttyb) < 0)
@@ -77,7 +77,7 @@
  * it changes, to avoid unnecessary flushing of typeahead.
  */
 wwsettty(d, t)
-register struct ww_tty *t;
+struct ww_tty *t;
 {
 #ifdef OLD_TTY
 	int i;
Index: usr.bin/window/wwunframe.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwunframe.c,v
retrieving revision 1.2
diff -u -r1.2 wwunframe.c
--- usr.bin/window/wwunframe.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwunframe.c	24 Aug 2008 10:34:28 -0000
@@ -41,16 +41,16 @@
 #include "ww.h"
 
 wwunframe(w)
-register struct ww *w;
+struct ww *w;
 {
 	int i;
 
 	for (i = w->ww_i.t; i < w->ww_i.b; i++) {
-		register j;
-		register char *win = w->ww_win[i];
-		register char *fmap = w->ww_fmap ? w->ww_fmap[i] : 0;
-		register char *smap = wwsmap[i];
-		register union ww_char *ns = wwns[i];
+		int j;
+		char *win = w->ww_win[i];
+		char *fmap = w->ww_fmap ? w->ww_fmap[i] : 0;
+		char *smap = wwsmap[i];
+		union ww_char *ns = wwns[i];
 		int nchanged = 0;
 
 		for (j = w->ww_i.l; j < w->ww_i.r; j++) {
Index: usr.bin/window/wwupdate.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwupdate.c,v
retrieving revision 1.2
diff -u -r1.2 wwupdate.c
--- usr.bin/window/wwupdate.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwupdate.c	24 Aug 2008 10:35:11 -0000
@@ -44,7 +44,7 @@
 wwupdate1(top, bot)
 {
 	int i;
-	register j;
+	int j;
 	char *touched;
 	struct ww_update *upd;
 	char check_clreos = 0;
@@ -52,8 +52,8 @@
 
 	wwnupdate++;
 	{
-		register char *t1 = wwtouched + top, *t2 = wwtouched + bot;
-		register n;
+		char *t1 = wwtouched + top, *t2 = wwtouched + bot;
+		int n;
 
 		while (!*t1++)
 			if (t1 == t2)
@@ -88,10 +88,10 @@
 	for (i = scan_top, touched = &wwtouched[i], upd = &wwupd[i];
 	     i < scan_bot;
 	     i++, touched++, upd++) {
-		register gain = 0;
-		register best_gain = 0;
-		register best_col;
-		register union ww_char *ns, *os;
+		int gain = 0;
+		int best_gain = 0;
+		int best_col;
+		union ww_char *ns, *os;
 
 		if (wwinterrupt())
 			return;
@@ -127,11 +127,11 @@
 		upd->gain = gain;
 	}
 	if (check_clreos) {
-		register struct ww_update *u;
-		register gain = 0;
-		register best_gain = 0;
+		struct ww_update *u;
+		int gain = 0;
+		int best_gain = 0;
 		int best_row;
-		register simple_gain = 0;
+		int simple_gain = 0;
 		char didit = 0;
 
 		/*
@@ -143,7 +143,7 @@
 		 * undefined when u->best_gain is 0 so we can't use it.
 		 */
 		for (j = scan_bot - 1, u = wwupd + j; j >= top; j--, u--) {
-			register g = gain + u->best_gain;
+			int g = gain + u->best_gain;
 
 			if (g > best_gain) {
 				best_gain = g;
@@ -173,7 +173,7 @@
 			wwnupdclreosline += wwnrow - i;
 			u = wwupd + i;
 			while (i < scan_bot) {
-				register union ww_char *os = &wwos[i][j];
+				union ww_char *os = &wwos[i][j];
 
 				for (j = wwncol - j; --j >= 0;)
 					os++->c_w = ' ';
@@ -187,7 +187,7 @@
 simple:
 	for (i = top, touched = &wwtouched[i], upd = &wwupd[i]; i < bot;
 	     i++, touched++, upd++) {
-		register union ww_char *os, *ns;
+		union ww_char *os, *ns;
 		char didit;
 
 		if (!*touched)
@@ -205,10 +205,10 @@
 		ns = wwns[i];
 		os = wwos[i];
 		for (j = 0; j < wwncol;) {
-			register char *p, *q;
+			char *p, *q;
 			char m;
 			int c;
-			register n;
+			int n;
 			char buf[512];			/* > wwncol */
 			union ww_char lastc;
 
Index: usr.bin/window/wwwrite.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/wwwrite.c,v
retrieving revision 1.2
diff -u -r1.2 wwwrite.c
--- usr.bin/window/wwwrite.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/wwwrite.c	24 Aug 2008 10:35:35 -0000
@@ -57,8 +57,8 @@
  * to avoid recursion, which might be a better idea.
  */
 wwwrite(w, p, n)
-register struct ww *w;
-register unsigned char *p;
+struct ww *w;
+unsigned char *p;
 int n;
 {
 	char hascursor;
@@ -81,8 +81,8 @@
 		}
 		if (w->ww_wstate == 0 &&
 		    (isprt(*p) || w->ww_unctrl && isunctrl(*p))) {
-			register i;
-			register union ww_char *bp;
+			int i;
+			union ww_char *bp;
 			int col, col1;
 
 			if (w->ww_insert) {	/* this is very slow */
@@ -111,7 +111,7 @@
 					q = s;
 					r = 0;
 				} else if (*p == '\t') {
-					register tmp = 8 - (i - w->ww_w.l & 7);
+					int tmp = 8 - (i - w->ww_w.l & 7);
 					p++;
 					i += tmp;
 					bp += tmp;
@@ -131,9 +131,9 @@
 			w->ww_cur.c = i;
 			if (w->ww_cur.r >= w->ww_i.t
 			    && w->ww_cur.r < w->ww_i.b) {
-				register union ww_char *ns = wwns[w->ww_cur.r];
-				register char *smap = &wwsmap[w->ww_cur.r][col];
-				register char *win = w->ww_win[w->ww_cur.r];
+				union ww_char *ns = wwns[w->ww_cur.r];
+				char *smap = &wwsmap[w->ww_cur.r][col];
+				char *win = w->ww_win[w->ww_cur.r];
 				int nchanged = 0;
 
 				bp = w->ww_buf[w->ww_cur.r];
Index: usr.bin/window/xx.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/xx.c,v
retrieving revision 1.2
diff -u -r1.2 xx.c
--- usr.bin/window/xx.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/xx.c	24 Aug 2008 10:36:06 -0000
@@ -79,7 +79,7 @@
 
 xxreset1()
 {
-	register struct xx *xp, *xq;
+	struct xx *xp, *xq;
 
 	for (xp = xx_head; xp != 0; xp = xq) {
 		xq = xp->link;
@@ -108,7 +108,7 @@
 struct xx *
 xxalloc()
 {
-	register struct xx *xp;
+	struct xx *xp;
 
 	if (xxbufp > xxbufe)
 		abort();
@@ -127,7 +127,7 @@
 }
 
 xxfree(xp)
-	register struct xx *xp;
+	struct xx *xp;
 {
 	xp->link = xx_freelist;
 	xx_freelist = xp;
@@ -135,7 +135,7 @@
 
 xxmove(row, col)
 {
-	register struct xx *xp = xx_tail;
+	struct xx *xp = xx_tail;
 
 	if (xp == 0 || xp->cmd != xc_move) {
 		xp = xxalloc();
@@ -147,7 +147,7 @@
 
 xxscroll(dir, top, bot)
 {
-	register struct xx *xp = xx_tail;
+	struct xx *xp = xx_tail;
 
 	if (xp != 0 && xp->cmd == xc_scroll &&
 	    xp->arg1 == top && xp->arg2 == bot &&
@@ -164,7 +164,7 @@
 
 xxinschar(row, col, c, m)
 {
-	register struct xx *xp;
+	struct xx *xp;
 
 	xp = xxalloc();
 	xp->cmd = xc_inschar;
@@ -176,7 +176,7 @@
 
 xxinsspace(row, col)
 {
-	register struct xx *xp = xx_tail;
+	struct xx *xp = xx_tail;
 
 	if (xp != 0 && xp->cmd == xc_insspace && xp->arg0 == row &&
 	    col >= xp->arg1 && col <= xp->arg1 + xp->arg2) {
@@ -192,7 +192,7 @@
 
 xxdelchar(row, col)
 {
-	register struct xx *xp = xx_tail;
+	struct xx *xp = xx_tail;
 
 	if (xp != 0 && xp->cmd == xc_delchar &&
 	    xp->arg0 == row && xp->arg1 == col) {
@@ -208,7 +208,7 @@
 
 xxclear()
 {
-	register struct xx *xp;
+	struct xx *xp;
 
 	xxreset1();
 	xp = xxalloc();
@@ -217,7 +217,7 @@
 
 xxclreos(row, col)
 {
-	register struct xx *xp = xxalloc();
+	struct xx *xp = xxalloc();
 
 	xp->cmd = xc_clreos;
 	xp->arg0 = row;
@@ -226,7 +226,7 @@
 
 xxclreol(row, col)
 {
-	register struct xx *xp = xxalloc();
+	struct xx *xp = xxalloc();
 
 	xp->cmd = xc_clreol;
 	xp->arg0 = row;
@@ -236,7 +236,7 @@
 xxwrite(row, col, p, n, m)
 	char *p;
 {
-	register struct xx *xp;
+	struct xx *xp;
 
 	if (xxbufp + n + 1 > xxbufe)
 		xxflush(0);
Index: usr.bin/window/xxflush.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/xxflush.c,v
retrieving revision 1.2
diff -u -r1.2 xxflush.c
--- usr.bin/window/xxflush.c	17 Jun 2003 04:29:34 -0000	1.2
+++ usr.bin/window/xxflush.c	24 Aug 2008 10:36:26 -0000
@@ -43,9 +43,9 @@
 #include "tt.h"
 
 xxflush(intr)
-	register intr;
+	int intr;
 {
-	register struct xx *xp, *xq;
+	struct xx *xp, *xq;
 
 	for (xp = xx_head; xp != 0 && !(intr && wwinterrupt()); xp = xq) {
 		switch (xp->cmd) {
@@ -97,9 +97,9 @@
 }
 
 xxflush_scroll(xp)
-	register struct xx *xp;
+	struct xx *xp;
 {
-	register struct xx *xq;
+	struct xx *xq;
 
  top:
 	if (xp->arg0 == 0)
Index: usr.sbin/moused/moused.c
===================================================================
RCS file: /home/dcvs/src/usr.sbin/moused/moused.c,v
retrieving revision 1.6
diff -u -r1.6 moused.c
--- usr.sbin/moused/moused.c	8 Feb 2008 10:17:40 -0000	1.6
+++ usr.sbin/moused/moused.c	26 Aug 2008 20:02:16 -0000
@@ -3069,7 +3069,7 @@
 }
 
 static void
-mremote_serversetup()
+mremote_serversetup(void)
 {
     struct sockaddr_un ad;
 
Index: usr.sbin/mtest/mtest.c
===================================================================
RCS file: /home/dcvs/src/usr.sbin/mtest/mtest.c,v
retrieving revision 1.2
diff -u -r1.2 mtest.c
--- usr.sbin/mtest/mtest.c	17 Jun 2003 04:29:57 -0000	1.2
+++ usr.sbin/mtest/mtest.c	26 Aug 2008 20:02:46 -0000
@@ -20,9 +20,7 @@
 #include <netinet/in.h>
 
 int
-main( argc, argv )
-    int argc;
-    char **argv;
+main(int argc, char **argv)
   {
     int so;
     char line[80];
Index: usr.sbin/rpc.umntall/mounttab.c
===================================================================
RCS file: /home/dcvs/src/usr.sbin/rpc.umntall/mounttab.c,v
retrieving revision 1.3
diff -u -r1.3 mounttab.c
--- usr.sbin/rpc.umntall/mounttab.c	2 Apr 2005 20:49:56 -0000	1.3
+++ usr.sbin/rpc.umntall/mounttab.c	24 Aug 2008 22:43:52 -0000
@@ -68,7 +68,7 @@
  * Read mounttab line for line and return struct mtablist.
  */
 int
-read_mtab() {
+read_mtab(void) {
 	struct mtablist **mtabpp, *mtabp;
 	char *hostp, *dirp, *cp;
 	char str[STRSIZ];
@@ -204,7 +204,7 @@
  * Free struct mtablist mtab.
  */
 void
-free_mtab() {
+free_mtab(void) {
 	struct mtablist *mtabp;
 
 	while ((mtabp = mtabhead) != NULL) {
